:root {
  --blanco: #ffffff;
  --primario: #FFC107;
  --secundario: #0097A7;
  --gris: #757575;
  --oscuro: #212121;
}

img {
  width: 100%;
}

/** Header **/
.header__logo {
  margin: 3rem 0;
}

/** Grid **/
.grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
}
@media (min-width: 768px) {
  .grid {
      grid-template-columns: repeat(3, 1fr);
  }
}


/** Nosotros **/
.nosotros {
  display: grid;
  grid-template-rows: repeat(2, auto);
}
@media (min-width: 768px) {
  .nosotros {
      grid-template-columns: repeat(2, 1fr);
      column-gap: 2rem;
  }
}
.nosotros__imagen {
  grid-row: 1 / 2;
}
@media (min-width: 768px) {
  .nosotros__imagen {
     grid-column: 2 / 3;
  }
}

/** Bloques **/
.bloques {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
}
@media (min-width: 768px) {
  .bloques {
      grid-template-columns: repeat(4, 1fr);
  }
}

.bloque {
  text-align: center;
}

.bloque__titulo {
  margin: 0;
}


/* correo */

.formulario {
  background-color: var(--gris);
  padding: 2rem;
  border-radius: 10px;
  scroll-snap-align: center;
  scroll-snap-stop: always;
}
.formulario legend {
  text-align: center;
  font-size: 1.5rem;
  margin-bottom: 2rem;
  display: block;
  text-transform: uppercase;
  font-weight: 700;
}
@media (min-width:768px) {
  .formulario {
      max-width: 800px;
      margin: 0 auto;
  }
}
.contenedor-campos {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.campo {
  margin-bottom: 1rem;
  width: 100%;
}
@media (min-width:480px) {
  .campo {
      display: flex;
      align-items: center;
  }
}
@media (min-width: 768px) {
  .campo{
      flex: 0 0 calc(50% - .5rem)
  }
}
.campo label {
  color: var(--blanco);
  font-weight: 700;
  margin-bottom: .5rem;
  display: block;
}
@media (min-width:480px) {
  .campo label {
      flex: 0 0 90px;
  }
}
.campo input[type="text"],
.campo input[type="tel"],
.campo input[type="mail"],
.campo textarea {
  width: 100%;
  padding: .5rem;
  border: none;
  border-radius: .5rem;
}
@media (min-width: 768px) {
  :is(.campo) :is( 
      input[type="text"], 
      input[type="text"],  
      input[type="tel"],  
      input[type="mail"] , 
      textarea ) {
      flex: 1;
  }
}

.w-100{
  flex: 0 0 100%;
}
.campo textarea {
  height: 4rem;
}

.enviar {
  display: flex;
  justify-content: flex-end;
}
.boton {
  background-color:#29866b;
  color: var(--blanco);
  margin-top: .5rem;
  padding: .5rem 3rem;
  font-weight: 700;
  text-decoration: none;
  text-transform: uppercase;
  font-size: 1.2rem;
  border:none;
} 
.boton:hover{
  cursor: pointer;
}
.contacto {
  padding-bottom: 20px;
}